<?php
require_once "nusoap/lib/nusoap.php";

$username="ingloboc_inglobo";
$password="inglobo2019";
$hostname="localhost";

$dbhandle=mysql_connect($hostname, $username, $password) or die("No es posible conectarse a mysql");
$selection=mysql_select_db("ingloboc_controlproceso") or die("Base de datos no disponible");

function enviar_correo($link, $turno, $fecha, $observacion, $especie_id, $exportador_cod, $packing_cod, $packing_nombre, $nlinea){
	//return $folio_planilla;
	
	$fecha3 = explode("-", $fecha);
	$anio=$fecha3[0]; // porción1
	$mes=$fecha3[1]; // porción2
	$dia=$fecha3[2];
	$fecha3=$dia."-".$mes."-".$anio;

	if($nlinea!=""){
	    $nlinea=$nlinea;
	    $where_linea="planilla_datos.nlinea='".$nlinea."'";
	}else{
	    $nlinea="TODAS";
	    $where_linea="1=1";
	}

	 $rstotal = mysql_query("SELECT COUNT(*) as total_datos FROM `planilla_datos` INNER JOIN planilla_control ON planilla_control.folio_planilla=planilla_datos.folio_planilla WHERE planilla_control.fecha_inspeccion='$fecha' AND planilla_control.exportador_cod='$exportador_cod' AND planilla_control.especie_cod='$especie_id' AND planilla_control.packing_cod='$packing_cod' AND $where_linea AND planilla_control.turno='$turno' AND (planilla_datos.cumple_norma='VERDE' OR planilla_datos.cumple_norma='AMARILLO' OR planilla_datos.cumple_norma='ROJO')");
	                if($rowtotal = mysql_fetch_array($rstotal)){
	                    $total_datos=$rowtotal['total_datos'];
	                }
	                if($total_datos==0){
	                    $total_datos=1;
	                }

	$rsverde = mysql_query("SELECT COUNT(*) as verde FROM `planilla_datos` INNER JOIN planilla_control ON planilla_control.folio_planilla=planilla_datos.folio_planilla WHERE planilla_control.fecha_inspeccion='$fecha' AND planilla_control.exportador_cod='$exportador_cod' AND planilla_control.especie_cod='$especie_id' AND planilla_control.packing_cod='$packing_cod' AND $where_linea AND planilla_control.turno='$turno' AND planilla_datos.cumple_norma='VERDE'");
	                if($rowverde = mysql_fetch_array($rsverde)){
	                    $total_verde=$rowverde['verde'];
	                    $total_verde=($total_verde*100)/$total_datos;
	                    $total_verde=round($total_verde, 1, PHP_ROUND_HALF_UP);
	                }

	$rsamarillo = mysql_query("SELECT COUNT(*) as amarillo FROM `planilla_datos` INNER JOIN planilla_control ON planilla_control.folio_planilla=planilla_datos.folio_planilla WHERE planilla_control.fecha_inspeccion='$fecha' AND planilla_control.exportador_cod='$exportador_cod' AND planilla_control.especie_cod='$especie_id' AND planilla_control.packing_cod='$packing_cod' AND $where_linea AND planilla_control.turno='$turno' AND planilla_datos.cumple_norma='AMARILLO'");
	                if($rowamarillo = mysql_fetch_array($rsamarillo)){
	                    $total_amarillo=$rowamarillo['amarillo'];
	                    $total_amarillo=($total_amarillo*100)/$total_datos;
	                    $total_amarillo=round($total_amarillo, 1, PHP_ROUND_HALF_UP);
	                }
	$rsrojo = mysql_query("SELECT COUNT(*) as rojo FROM `planilla_datos` INNER JOIN planilla_control ON planilla_control.folio_planilla=planilla_datos.folio_planilla WHERE planilla_control.fecha_inspeccion='$fecha' AND planilla_control.exportador_cod='$exportador_cod' AND planilla_control.especie_cod='$especie_id' AND planilla_control.packing_cod='$packing_cod' AND $where_linea AND planilla_control.turno='$turno' AND planilla_datos.cumple_norma='ROJO'");
	                if($rowrojo = mysql_fetch_array($rsrojo)){
	                    $total_rojo=$rowrojo['rojo'];
	                    $total_rojo=($total_rojo*100)/$total_datos;
	                    $total_rojo=round($total_rojo, 1, PHP_ROUND_HALF_UP);
	               }
	               $observacion2="";
	 $rshora = mysql_query("SELECT planilla_control.obs FROM `planilla_control` WHERE planilla_control.fecha_inspeccion='$fecha' AND planilla_control.exportador_cod='$exportador_cod' AND planilla_control.especie_cod='$especie_id' AND planilla_control.packing_cod='$packing_cod' AND $where_linea AND planilla_control.turno='$turno'");
               //echo "OBSERVACION: <br/><br/>";
                while($rowhora = mysql_fetch_array($rshora)){
                    //echo $rowhora['obs'].". <br/>";
                    $observacion2.=$rowhora['obs'].". ";
                    
                }
	 require '../class.phpmailer.php';
	//Create a new PHPMailer instance
	$mail = new PHPMailer();
		$mail->IsSMTP();
		$mail->Host = "mail.inglobochile.cl";
		$mail->Username = "inglobo@inglobochile.cl";
		$mail->Password = "1ngl0b0ch1l3";
		$mail->SMTPAuth = true;
		$mail->CharSet = "UTF-8";
		$mail->From = "inglobo@inglobochile.cl";
		$mail->FromName = "IngloboChile";
		$mail->IsHTML(true);
		$mail->Subject = "Detalle Pallets";
	//Set an alternative reply-to address
	//$mail->addReplyTo('replyto@example.com', 'First Last');
	//Set who the message is to be sent to

	$rs2 = mysql_query("SELECT correo, nombre FROM exportadores_mail WHERE estado='ACTIVO' AND exportador_cod='$exportador_cod'");
	        while($row2 = mysql_fetch_array($rs2)){
	            $nombre=$row2['nombre'];
	            $mail2=$row2['correo'];
	            //$mail->AddBCC($mail2, $nombre);
	            $mail->addAddress($mail2, $nombre);
	        }
	$rs2 = mysql_query("SELECT correo, nombre FROM exportadores_mail WHERE estado='OCULTO' AND exportador_cod='$exportador_cod'");
	        while($row2 = mysql_fetch_array($rs2)){
	            $nombre=$row2['nombre'];
	            $mail2=$row2['correo'];
	            $mail->AddBCC($mail2, $nombre);
	            //$mail->addAddress($mail2, $nombre);
	        }
	//Set the subject line
	$mail->Subject = 'IngloboChile';
	//Read an HTML message body from an external file, convert referencedimages to embedded,
	//convert HTML into a basic plain-text alternative body
	//$mail->msgHTML(file_get_contents('contents.html'), dirname(__FILE__));
	//Replace the plain text body with one created manually
	$mail->Body = "<div style='padding:10px; font-family: Calibri, Candara, Segoe, 'Segoe UI', Optima, Arial, sans-serif; font-size: 11px; color: #000000;'>Sres: <br/>Se adjunta información de las mediciones realizadas en el proceso del día ".$fecha3." Turno ".$turno." correspondiente a cerezas de la planta ".$packing_nombre." y Linea ".$nlinea.".<br/>
			<br/><table width='500'>
			<tr>
				<th colspan='3'>EVALUACION TURNO</th>
			</tr>
			<tr>
				<th bgcolor='#00FF00' width='".$total_verde."%'>".$total_verde."%</th>
				<th bgcolor='#FFFF00' width='".$total_amarillo."%'>".$total_amarillo."%</th>
				<th bgcolor='#FF0000' width='".$total_rojo."%'>".$total_rojo."%</th>
			</tr>
			</table><br/>

			<br/>Observación: ".$observacion2."<br/><br/>
	        <a href='".$link."'>VER INFORME</a><br/>
			<br/><br/>Saludos Atte.<br/>INGLOBOCHILE LTDA<br/></div>";
			
			$mail->IsHTML(true);
	//Attach an image file
	//$mail->addAttachment('images/phpmailer_mini.png');
	//send the message, check for errors
	if (!$mail->send()) {
	    return $mensaje="ERROR";
	} else {
	    return $mensaje="BIEN";
	}
}



if(!isset($HTTP_RAW_POST_DATA)){
	$HTTP_RAW_POST_DATA=file_get_contents('php://input');
}

$server=new soap_server();
//$server->configureWSDL("Inglobo", "http://rioblanco.inglobochile.cl/Sincronizar/API3/servidor_planillas13-03-2016");
$server->register("enviar_correo");

$server->service($HTTP_RAW_POST_DATA);

exit;

?>